View Issue Details

IDProjectCategoryView StatusLast Update
13471Feature requests[All Projects] Otherpublic2018-08-07 17:01
Reporterpoiche54Assigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary13471: Allow expression in default location (map)
Description

I have a strange phenomenon. I select a position in a first map. So I have the longitude and latitude references. When I put these longitude latitude couple in a second map at Open Street Map I do not find myself at the place of my selection made to the first map, while if I use Google Maps for the second map it works normally .
For example when I select the town of Montpellier in my first map, I have the good reference but when I give these references to the second map for zooming in this area, I am in Hamburg area.

TagsNo tags attached.

Activities

poiche54

poiche54

2018-03-13 14:52

reporter  

test_openStreetMap.lss (14,429 bytes)
c_schmitz

c_schmitz

2018-03-15 17:23

administrator   ~47085

I cannot reproduce the issue using your test survey.
How do you search for the first coordinates? What are the first coordinates?
Do you copy and paste them?
Can you maybe attach screenshots?

poiche54

poiche54

2018-04-11 15:26

reporter   ~47403

As I wrote before, when I choose for example Montpellier in the first map (South-East of France) the latitude and longitude are given in the data of the question. I take these data that I put in the second map characteristics (see the {str_replace(";"," ",localisation)} in default position, the latitude and longitude from the first map), normally I should get a zoomed map around Montpellier, but the map displayed is the one around Hamburg in Germany !!! That's the problem.

poiche54

poiche54

2018-04-11 15:32

reporter   ~47404

This problem appends only with Open Street Map. No problem with with Google Map. I just made some other tests,
If I click anywhere in the world I find myself always on the side of Hamburg in the second map

DenisChenu

DenisChenu

2018-04-11 18:43

developer   ~47407

If you set manually position to same value : it work ?
Value are the same ?

DenisChenu

DenisChenu

2018-04-11 18:43

developer   ~47408

@c_schmitz you can give it to me if needed

DenisChenu

DenisChenu

2018-04-11 19:00

developer   ~47409

I don't understand why it work in gmap. It's surely gmap system about 'last position set in gmap'

DenisChenu

DenisChenu

2018-04-12 10:58

developer   ~47411

OK, more a new feature : center part are not set to expression usage https://github.com/LimeSurvey/LimeSurvey/blob/b3991a41f32195a5b064690fa9d000700e1dc053/application/helpers/questionHelper.php#L491

(expression => '1' mean : allow usage of expression (if you add {), expression => '3' mean : forced usage of expressio (we add the { }). )

Visual difference are clear for 2, but don't find a way for 1 …
And here : it can be only 'static'

DenisChenu

DenisChenu

2018-04-12 11:06

developer   ~47412

Patch https://github.com/LimeSurvey/LimeSurvey/pull/1039
@c_schmitz : i know "no new feature" in master currently, but … really little and great feature ;)

user70560

2018-04-17 18:27

  ~47442

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27017

markusfluer

markusfluer

2018-08-07 17:01

manager   ~48738

Release 3.14.2+180807

Related Changesets

LimeSurvey: master eaece8e3

2018-04-17 18:27:23

user70560


Committer: GitHub Details Diff
New feature 13471: Allow expression in default location (map)

Dev: i know it's new feature, but really easy and no potential issue
mod - application/helpers/qanda_helper.php Diff File
mod - application/helpers/questionHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-03-13 14:52 poiche54 New Issue
2018-03-13 14:52 poiche54 File Added: test_openStreetMap.lss
2018-03-15 17:23 c_schmitz Assigned To => c_schmitz
2018-03-15 17:23 c_schmitz Status new => feedback
2018-03-15 17:23 c_schmitz Note Added: 47085
2018-04-11 15:26 poiche54 Note Added: 47403
2018-04-11 15:26 poiche54 Status feedback => assigned
2018-04-11 15:32 poiche54 Note Added: 47404
2018-04-11 18:43 DenisChenu Note Added: 47407
2018-04-11 18:43 DenisChenu Note Added: 47408
2018-04-11 18:59 DenisChenu Assigned To c_schmitz => DenisChenu
2018-04-11 19:00 DenisChenu Note Added: 47409
2018-04-12 10:58 DenisChenu Note Added: 47411
2018-04-12 10:59 DenisChenu Project Bug reports => Feature requests
2018-04-12 10:59 DenisChenu Product Version 3.3.x =>
2018-04-12 10:59 DenisChenu Summary Problem using OpenStreetMap => Allow expression in default location (map)
2018-04-12 11:06 DenisChenu Note Added: 47412
2018-04-17 18:27 user70560 Changeset attached => LimeSurvey master eaece8e3
2018-04-17 18:27 user70560 Note Added: 47442
2018-04-17 18:27 user70560 Assigned To DenisChenu => user70560
2018-04-17 18:27 user70560 Resolution open => fixed
2018-04-18 10:41 DenisChenu Assigned To user70560 => DenisChenu
2018-04-18 10:41 DenisChenu Status assigned => resolved
2018-04-18 10:41 DenisChenu Fixed in Version => 3.0
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48738